import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const guildGetStewards = createAsyncThunk(
  "GUILD_GET_STEWARDS",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.get("guilds/", {
      params: {
        date: d.date,
        steward_sub_guilds: true,
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
